stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Types | Public Attributes | Friends | List of all members
stdex::wav::note Struct Reference

Note. More...

`#include <stdex/wav.hpp>`

## Public Types
using | record = stdex::idrec::record<stdex::wav::note, id_t, 0x65746F6E , length_t, align>

## Public Attributes
uint32_t | id = 0
| The sample point that corresponds to this text comment by providing the ID of a Cue Point defined in the Cue Point List. The ID that associates this label with a Cue Point must be unique to all other note chunk Cue Point IDs.
std::string | note
| Note text.

## Friends
stdex::stream::basic & | operator<< (stdex::stream::basic &dat, const stdex::wav::note &data)
stdex::stream::basic & | operator>> (stdex::stream::basic &dat, stdex::wav::note &data)

## Detailed Description

Note.

The documentation for this struct was generated from the following file:

- include/stdex/wav.hpp